<?php
/*/
Plugin Name: Fantastic Copyright Free
Plugin URI: http://fantasticplugins.com/fantastic-copyright-free
Description: Automatically adds the Copyright notice to the footer of the WordPress site.
Version: 1.0
Author: Fantastic Plugins
Author URI: http://fantasticplugins.com
License: GPLv2
/*/ 


class FantasticCopyrightFree
{
	
	public function __construct() 
	{
		require_once('inc/adminfree.php');
		if(isset ($_POST["Reset"])) 
		{
			add_action('admin_init',array($this,'set_copyright_free_options'));
		} 	
		
	}

	function add_admin_free_menu() 
	{	
		add_submenu_page('options-general.php','Fantastic Copyright Free', 'Fantastic Copyright Free', 'manage_options', 'copyright_free_admin', 'copyright_free_admin_page');
		
	}
	
	function update_free_fp_details()
	{	
		register_setting( 'fp_copyright_free', 'fpcopy_follow1_free');
		register_setting( 'fp_copyright_free', 'fpcopy_notice_free');
		register_setting( 'fp_copyright_free', 'fpcopy_link_free');
		register_setting( 'fp_copyright_free', 'fpcopy_name_free');
		register_setting( 'fp_copyright_free', 'fpcopy_default_free');
		register_setting( 'fp_copyright_free', 'fpcopy_year_free');
		register_setting( 'fp_copyright_free', 'fpcopy_text_free');
		register_setting( 'fp_copyright_free', 'fpcopy_reserved_free');
	 }
	

	function set_copyright_free_options() 
	{
		delete_option('fpcopy_notice_free');
		delete_option('fpcopy_reserved_free');
		delete_option('fpcopy_link_free');
		delete_option('fpcopy_year_free');
		delete_option('fpcopy_follow1_free');
		add_action('fpcopy_follow1_free','nofollow');
		delete_option('fpcopy_name_free');	
		FantasticCopyrightFree::wpse_91307_set_free_option_defaults();
	
	}
	
		
	function wpse_91307_set_free_option_defaults() 
	{
		$var = site_url();
		$var1 = site_url();
		$var2 = the_time('Y');
		
		
	  $options = array(
		'fpcopy_notice_free'   => 'Copyright &copy;',
		'fpcopy_reserved_free' => 'All Rights Reserved',
		'fpcopy_name_free' => $var,
		'fpcopy_link_free' => $var1,
		'fpcopy_year_free' => 2013,
		 );
	
	  foreach ( $options as $option => $default_value ) 
	  {
			if ( ! get_option( $option ) ) 
			{
				add_option( $option, $default_value );
			}
		 	else 
			{
				update_option( $option, $default_value );
			}
      }
	}
	

	function reset_free_copyright() 
	{
		delete_option('fpcopy_notice_free');
		delete_option('fpcopy_reserved_free');
		add_option('fpcopy_notice','Copyright &copy;');
		add_option('fpcopy_reserved','All Rights Reserved');
	}

	function copyright_free() 
	{ 
	if((get_option('fpcopy_year_free')>=2013)) {
	?>
    <p>
    <center>
    <?php echo get_option('fpcopy_notice_free');?> 
    <?php  echo date("Y"); ?>
	<?php if(get_option('fpcopy_name_free')=="") { ?>
	 <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?></a>
	<?php } ?>
	<?php if(get_option('fpcopy_link_free')=="") { ?>
	 <?php echo get_option('fpcopy_name_free');?>
	<?php } ?>
	<?php if((get_option('fpcopy_link_free'))&&(get_option('fpcopy_name_free'))) { ?>
    <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_name_free'))?></a> 
	<?php } ?>
    <?php echo get_option('fpcopy_reserved_free'); ?> 
    </center>
    </p>
	<?php 
	}
	else { ?>
    
    <p>
    <center>
    <?php echo get_option('fpcopy_notice_free');?> 
    <?php echo get_option('fpcopy_year_free') ?> - <?php  echo date("Y"); ?> 
    <?php if(get_option('fpcopy_name_free')=="") { ?>
	 <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?></a>
	<?php } ?>
	<?php if(get_option('fpcopy_link_free')=="") { ?>
	 <?php echo get_option('fpcopy_name_free');?>
	<?php } ?>
	<?php if((get_option('fpcopy_link_free'))&&(get_option('fpcopy_name_free'))) { ?>
    <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_name_free'))?></a> 
	<?php } ?>
    <?php echo get_option('fpcopy_reserved_free'); ?> 
    
</center>
    </p>
    <?php 
	}
	}
    
}
	add_action('admin_menu' ,array('FantasticCopyrightFree','add_admin_free_menu'));
	add_action('wp_footer', array('FantasticCopyrightFree','copyright_free'));
	register_activation_hook(__FILE__, array('FantasticCopyrightFree','set_copyright_free_options'));
	add_action('admin_init',array('FantasticCopyrightFree','update_free_fp_details'));
	$new = new FantasticCopyrightFree();

?>