<?php
/*/
Plugin Name: Fantastic Copyright Free
Plugin URI: http://fantasticplugins.com/fantastic-copyright-free
Description: Automatically adds the Copyright notice to the footer of the WordPress site.
Version: 1.3
Author: Fantastic Plugins
Author URI: http://fantasticplugins.com
License: GPLv2
/*/ 


class FantasticCopyrightFree
{
	
	public function __construct() 
	{
		require_once('inc/adminfree.php');
		if(isset ($_POST["Reset"])) 
		{
			add_action('admin_init',array($this,'set_copyright_free_options'));
		} 	
		
	}

	function add_admin_free_menu() 
	{	
		add_submenu_page('options-general.php','Fantastic Copyright Free', 'Fantastic Copyright Free', 'manage_options', 'copyright_free_admin', 'copyright_free_admin_page');
		
	}
	
	function update_free_fp_details()
	{	
		register_setting( 'fp_copyright_free', 'fpcopy_follow1_free');
		register_setting( 'fp_copyright_free', 'fpcopy_follow2_free');
		register_setting( 'fp_copyright_free', 'fpcopy_notice_free');
		register_setting( 'fp_copyright_free', 'fpcopy_link_free');
		register_setting( 'fp_copyright_free', 'fpcopy_name_free');
		register_setting( 'fp_copyright_free', 'fpcopy_default_free');
		register_setting( 'fp_copyright_free', 'fpcopy_year_free');
		register_setting( 'fp_copyright_free', 'fpcopy_text_free');
		register_setting( 'fp_copyright_free', 'fpcopy_reserved_free');
		register_setting( 'fp_copyright_free', 'fpcopy_credits_free');
		register_setting('fp_copyright_free','fpcopy_credits_defaults');
		register_setting('fp_copyright_free','fpcopy_credits');
		register_setting('fp_copyright_add','fpcopy_align_free');
		register_setting('fp_copyright_free','fpcopy_credits_defaults');
		register_setting('fp_copyright_free','fpcopy_credits_name');
	 }
	

	function set_copyright_free_options() 
	{
		delete_option('fpcopy_notice_free');
		delete_option('fpcopy_reserved_free');
		delete_option('fpcopy_link_free');
		delete_option('fpcopy_year_free');
		delete_option('fpcopy_follow1_free');
		delete_option('fpcopy_follow2_free');
		delete_option('fpcopy_credits_free');
		add_option('fpcopy_credits_free','on');
		delete_option('fpcopy_name_free');
		delete_option('fpcopy_credits');
		delete_option('fpcopy_credits_defaults');
		delete_option('fpcopy_credits_name');
		delete_option('fpcopy_align_free');
		add_option('fpcopy_align_free','center');
		add_option('fpcopy_credits','1');
		$input = array("WordPress Plugins", "WordPress Plugin", "WordPress Plugins", "WordPress Plugin","Premium WordPress Plugins", "Premium WordPress Plugin", "Premium WordPress Plugins", "Premium WordPress Plugin", "Fantastic Plugins", "Fantastic Plugin", "WordPress Premium Plugins", "WordPress Premium Plugin", "WP Plugins", "WP Plugin", "Premium WP Plugins", "Premium WP Plugin", "WP Premium Plugins","WP Premium Plugin", "Plugins", "Plugin");
		$rand_keys = rand(0, 19);
		add_option('fpcopy_credits_name',$input[$rand_keys]);
		add_option('fpcopy_credits_defaults','http://fantasticplugins.com');	
		FantasticCopyrightFree::wpse_91307_set_free_option_defaults();
	
	}
	
		
	function wpse_91307_set_free_option_defaults() 
	{
		$var = site_url();
		$var1 = site_url();
		$var2 = the_time('Y');
		
		
	  $options = array(
		'fpcopy_notice_free'   => 'Copyright &copy;',
		'fpcopy_reserved_free' => 'All Rights Reserved.',
		'fpcopy_name_free' => "$var.",
		'fpcopy_link_free' => $var1,
		'fpcopy_year_free' => 2013,
		 );
	
	  foreach ( $options as $option => $default_value ) 
	  {
			if ( ! get_option( $option ) ) 
			{
				add_option( $option, $default_value );
			}
		 	else 
			{
				update_option( $option, $default_value );
			}
      }
	}
	

	function reset_free_copyright() 
	{
		delete_option('fpcopy_notice_free');
		delete_option('fpcopy_reserved_free');
		add_option('fpcopy_notice','Copyright &copy;');
		add_option('fpcopy_reserved','All Rights Reserved');
	}

	function copyright_free() 
	{ 
	if((get_option('fpcopy_year_free')>=2013)) {
	?>
    <p align="<?php echo get_option('fpcopy_align_free');?>">
 
    <?php echo get_option('fpcopy_notice_free');?> 
    <?php  echo date("Y"); ?>
	<?php if(get_option('fpcopy_name_free')=="") { ?>
	 <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?></a>
	<?php } ?>
	<?php if(get_option('fpcopy_link_free')=="") { ?>
	 <?php echo get_option('fpcopy_name_free');?>
	<?php } ?>
	<?php if((get_option('fpcopy_link_free'))&&(get_option('fpcopy_name_free'))) { ?>
    <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_name_free'))?></a> 
	<?php } ?>
    <?php echo get_option('fpcopy_reserved_free'); ?> 
    <?php if(get_option('fpcopy_credits_free')==on) { ?>
    <?php if((is_home()) && get_option('fpcopy_credits')==1) { 
    
    ?> 
            <a href="<?php echo get_option('fpcopy_credits_defaults');?>" rel="<?php echo get_option('fpcopy_follow2_free');?>" target="_blank"><?php echo get_option('fpcopy_credits_name');?></a>
            <?php } ?>
	    <?php if(get_option('fpcopy_credits')==2) { 
	    	        
	    	        ?> 
	    	                <a href="<?php echo get_option('fpcopy_credits_defaults');?>" rel="<?php echo get_option('fpcopy_follow2_free');?>" target="_blank"><?php echo get_option('fpcopy_credits_name');?></a>
	    	                <?php } } ?>    
   
           </p>
	<?php 
	}
	else { ?>
    
     <p align="<?php echo get_option('fpcopy_align_free');?>">
    <?php echo get_option('fpcopy_notice_free');?> 
    <?php echo get_option('fpcopy_year_free') ?> - <?php  echo date("Y"); ?> 
    <?php if(get_option('fpcopy_name_free')=="") { ?>
	 <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?></a>
	<?php } ?>
	<?php if(get_option('fpcopy_link_free')=="") { ?>
	 <?php echo get_option('fpcopy_name_free');?>
	<?php } ?>
	<?php if((get_option('fpcopy_link_free'))&&(get_option('fpcopy_name_free'))) { ?>
    <a href="http://<?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_link_free'))?>" rel="<?php echo get_option('fpcopy_follow1_free'); ?>"> <?php echo str_replace(array('http://','https://'),'', get_option('fpcopy_name_free'))?></a> 
	<?php } ?>
    <?php echo get_option('fpcopy_reserved_free'); ?>
     <?php if(get_option('fpcopy_credits_free')==on) { ?>
    <?php if((is_home()) && get_option('fpcopy_credits')==1) { 
        
        ?> 
                <a href="<?php echo get_option('fpcopy_credits_defaults');?>" rel="<?php echo get_option('fpcopy_follow2_free');?>" target="_blank"><?php echo get_option('fpcopy_credits_name');?></a>
                <?php } ?>
		
	<?php if(get_option('fpcopy_credits')==2) { 
	        
	        ?> 
	                <a href="<?php echo get_option('fpcopy_credits_defaults');?>" rel="<?php echo get_option('fpcopy_follow2_free');?>" target="_blank"><?php echo get_option('fpcopy_credits_name');?></a>
	                <?php } } ?>    
    </p>
    <?php 
	}

	}
	
    				    
}
	add_action('admin_menu' ,array('FantasticCopyrightFree','add_admin_free_menu'));
	add_action('wp_footer', array('FantasticCopyrightFree','copyright_free'));
	register_activation_hook(__FILE__, array('FantasticCopyrightFree','set_copyright_free_options'));
	add_action('admin_init',array('FantasticCopyrightFree','update_free_fp_details'));
	$new = new FantasticCopyrightFree();
?>